<?php

function ecommerce_bookshop_remove_customize_register() {
    global $wp_customize;

    $wp_customize->remove_setting( 'author_writer_bar_icon_link' );
    $wp_customize->remove_control( 'author_writer_bar_icon_link' );

    $wp_customize->remove_setting( 'author_writer_tp_color_option_link' );
    $wp_customize->remove_control( 'author_writer_tp_color_option_link' );
   
    $wp_customize->remove_setting( 'author_writer_slider_content_layout' );
    $wp_customize->remove_control( 'author_writer_slider_content_layout' );

    $wp_customize->remove_setting( 'author_writer_slide_btn_2' );
    $wp_customize->remove_control( 'author_writer_slide_btn_2' );

    $wp_customize->remove_setting( 'author_writer_slider_opacity_setting' );
    $wp_customize->remove_control( 'author_writer_slider_opacity_setting' );

     $wp_customize->remove_setting( 'author_writer_image_opacity_color' );
    $wp_customize->remove_control( 'author_writer_image_opacity_color' );

    $wp_customize->remove_setting( 'author_writer_slider_opacity' );
    $wp_customize->remove_control( 'author_writer_slider_opacity' );

}
add_action( 'customize_register', 'ecommerce_bookshop_remove_customize_register', 11 );

function ecommerce_bookshop_customize_register( $wp_customize ) {
    // Register the custom control type.
	$wp_customize->register_control_type( 'Ecommerce_Bookshop_Toggle_Control' );

}
add_action( 'customize_register', 'ecommerce_bookshop_customize_register' );
